#!/bin/tcsh -f

if($#argv <1)then
    echo "usage: $0 hostname";
    exit(1);
endif

#set host = localhost
set host = $argv[1];

set port = 9903

set mode = "16:1:4"

set cmd  = "tcp-talk.pl -h ${host}:${port}"

$cmd -m data_out=multi:4;
$cmd -m modegrp=0:${mode}:0;
$cmd -m modegrp=1:${mode}:4;
$cmd -m modegrp=2:${mode}:8;
$cmd -m modegrp=3:${mode}:12;
#$cmd -m data_out=FILE0:/sirius0/raid/test/aaa.dat;
#$cmd -m data_out=FILE1:/sirius0/raid/test/bbb.dat;
#$cmd -m data_out=FILE2:/sirius0/raid/test/ccc.dat;
#$cmd -m data_out=FILE3:/sirius0/raid/test/ddd.dat;

 $cmd -m data_out=FILE0:/vlbi3/raid3/k10038/test/aaa.dat;
 $cmd -m data_out=FILE1:/vlbi3/raid3/k10038/test/bbb.dat;
 $cmd -m data_out=FILE2:/vlbi3/raid3/k10038/test/ccc.dat;
 $cmd -m data_out=FILE3:/vlbi3/raid3/k10038/test/ddd.dat;

sleep 3
$cmd -m in2net=on;
#sleep 10 
#$cmd -m in2net=off;



